Bug 430346 - abiword requires libgoffice-1.so.2 which isn't provided in rawhide
abiword requires libgoffice-1.so.2 which isn't provided in rawhide
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-26 11:53 EST by Bruno Wolff III
Modified: 2008-01-29 02:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-29 02:54:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-01-26 11:53:59 EST
Description of problem:
It looks like goffice changed the version of libgoffice it provides to be a
lower number than it was in F8.
Currently goffice04 provides libgoffice-0.so.4 and goffice provides
libgoffice-0.6.so.6 . In F8 goffice provides libgoffice-1.so.2 and goffice04
provides libgoffice-0.so.4 .

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Michel Alexandre Salim 2008-01-28 02:07:38 EST
Hans de Goede e-mailed devel-list with a heads-up; it seems that the abiword
maintainer did not get the word yet.

abiword's currently rebuilding for Rawhide; I've fixed some other things in the
spec file (license, unneeded BRs) so it might get pushed for F8 and F7 as well.
Comment 2 Michel Alexandre Salim 2008-01-28 03:10:15 EST
Update: weird error, even before hitting the goffice patch:

pd_Style.cpp: In member function 'bool PD_Style::isList()':
pd_Style.cpp:251: warning: NULL used in arithmetic
pd_Style.cpp:254: error: 'FALSE' was not declared in this scope
make[5]: *** [pd_Style.o] Error 1
make[5]: Leaving directory
Comment 3 Michel Alexandre Salim 2008-01-29 02:54:24 EST
Conversed to upstream's Hubert Figuiere and the conjecture is that the error is
due to glibc changes (TRUE and FALSE booleans are not defined where abiword
expects them to be). The package now conditionally patch for this when rebuilt
on F9 or above.

Depending on goffice04 rather than goffice, as goffice-0.6 does not have
printing functionality, and considering abiword trunk is still using 0.4,
supporting goffice-0.6 is not a trivial undertaking.


Note You need to log in before you can comment on or make changes to this bug.